apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: pd-canary-kraken-local
  namespace: metrics-tools
  labels:
    app.kubernetes.io/name: pd-canary-kraken-local
spec:
  schedule: "*/3 * * * *"
  concurrencyPolicy: Allow
  jobTemplate:
    metadata:
      labels:
        app.kubernetes.io/name: pd-canary-kraken-local
    spec:
      template:
        spec:
          dnsPolicy: Default
          restartPolicy: Never
          containers:
          - name: pd-canary-kraken-local
            image: "docker-registry.zooxlabs.com/pd_canary:kraken_local"
            env:
              - name: ELASTICSEARCH_API_URL
                value: "https://search-metrics-production-c65mdhdibmbmkl4pfiqsj5yhmq.us-west-2.es.amazonaws.com"
              - name: MODE
                value: kraken
              - name: CANARY_TIMEOUT
                value: "60"
              - name: LOG_LEVEL
                value: "DEBUG"
              - name: CANARY_TYPE
                value: canary_pd_kraken_elevated_priority
            workingDir: /home/zoox/driving
            command: ["bash"]
            args: ["-c", "python3 /opt/zoox/pd_canary.py"]
            imagePullPolicy: Always

